Get an Output

Hand off to an LLM

Retrieve a single output event by ID.

Fetches any non-error event by its eventID. Returns 404 if the event does not exist or if it is an error event (use GET /v3/errors/{eventID} for those).

GET
/v3/outputs/{eventID}
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

eventID*string

The unique identifier of the output event.

Response Body

application/json

curl -X GET "https://api.bem.ai/v3/outputs/string"
{
  "output": {
    "functionCallTryNumber": 0,
    "eventID": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "referenceID": "string",
    "inboundEmail": {
      "to": "string",
      "deliveredTo": "string",
      "from": "string",
      "subject": "string"
    },
    "metadata": {
      "durationFunctionToEventSeconds": 0
    },
    "eventType": "transform",
    "functionCallID": "string",
    "functionID": "string",
    "functionName": "string",
    "functionVersionNum": 0,
    "callID": "string",
    "workflowID": "string",
    "workflowName": "string",
    "workflowVersionNum": 0,
    "pipelineID": "string",
    "publishedAt": "2019-08-24T14:15:22Z",
    "lastPublishErrorAt": "string",
    "inputType": "csv",
    "transformationID": "string",
    "s3URL": "string",
    "inputs": [
      {
        "inputType": "string",
        "inputContent": "string",
        "jsonInputContent": {},
        "s3URL": "string"
      }
    ],
    "transformedContent": {},
    "correctedContent": {
      "output": [
        {}
      ]
    },
    "invalidProperties": [
      "string"
    ],
    "metrics": {
      "metrics": {
        "accuracy": 0,
        "precision": 0,
        "recall": 0,
        "f1Score": 0
      },
      "differences": [
        {
          "category": "string",
          "correctedVal": null,
          "extractedVal": null,
          "jsonPointer": "string"
        }
      ]
    },
    "orderMatching": true,
    "isRegression": true,
    "itemOffset": 0,
    "itemCount": 0,
    "fieldConfidences": {},
    "avgConfidence": 0.1
  }
}

See also